[Pkg-vexim-devel] vexim_2.2.1-6_i386.changes REJECTED

Joerg Jaspert ftpmaster at debian.org
Thu Jun 26 22:04:17 UTC 2008

Hi Maintainer,

rejected, while the software itself seems to be ok to go in, the
packaging got the reject.

Looking at the two database packages - does it really need to be split?
I doubt it.

Asking debdiff, the following is the diff in the control files:
Control files: lines which differ (wdiff format)
Depends: exim4-base, exim4-daemon-heavy, adduser, apache2 | httpd, php5, php-pear, php-db, [-php5-mysql,-] ucf (>= 0.8), debianutils (>= 1.6), dbconfig-common, debconf
Description: Virtual mail hosting system based on exim4, [-MySQL-] {+pgsql+} and php
 This package uses a [-MySQL-] {+PostgreSQL+} database as back-end.
 not want to install vexim. If you like [-MySQL-] {+PostrgeSQL+} and do not want to modify
Installed-Size: [-820-] {+816+}
Package: [-vexim-mysql-] {+vexim-pgsql+}
Recommends: spamassassin, clamav, clamav-freshclam, clamav-daemon, courier-pop, courier-imap, [-courier-authlib-mysql, mysql-server-5.0-] {+courier-authlib-pgsql, postgresql-server-dev-8.2+} | [-mysql-server-] {+postgresql-server-dev-8.3+}

Well, first its interesting that you dont seem to need php5-pgsql for
the pgsql variant - it seems that you can easily drop the split and make
the database dependent parts an | dependency. The files in the packages
are the same anyway, and you include the mysql .sql file sin postgres
package and vice versa, so nothing lost there.

 * vexim-acl-check-spf.conf in upstream orig.tar.gz is by david at ols.es
   doesn't say anything about license; person not mentioned in debian/copyright
 * Why have hu.po and en.po been installed in
   /usr/share/vexim/config when they're already in
   /usr/share/vexim/locale/$LANG along with more languages

bye Joerg


If you don't understand why your files were rejected, or if the
override file requires editing, reply to this email.

More information about the Pkg-vexim-devel mailing list